Package org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetGroupBiTuple<GroupKey_,​ResultContainer_,​Result_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiTuple<GroupKey_,​Result_>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetGroupBiTuple<GroupKey_,​ResultContainer_,​Result_>

- All Implemented Interfaces:
    `BavetGroupTuple`, `BavetTuple`

      public final class BavetGroupBiTuple<GroupKey_,​ResultContainer_,​Result_>
      extends BavetAbstractBiTuple<GroupKey_,​Result_>
      implements BavetGroupTuple

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<BavetAbstractBiTuple<GroupKey_,​Result_>>` | `childTupleList` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetGroupBiTuple​(BavetGroupBiNode<GroupKey_,​ResultContainer_,​Result_> node, GroupKey_ groupKey, ResultContainer_ resultContainer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearResult()` |
    `int` | `decreaseParentCount()` |
    `List<BavetAbstractBiTuple<GroupKey_,​Result_>>` | `getChildTupleList()` |
    `GroupKey_` | `getFactA()` |
    `Result_` | `getFactB()` |
    `GroupKey_` | `getGroupKey()` |
    `BavetGroupBiNode<GroupKey_,​ResultContainer_,​Result_>` | `getNode()` |
    `ResultContainer_` | `getResultContainer()` |
    `int` | `increaseParentCount()` |
    `void` | `refresh()` |
    `String` | `toString()` |
    `void` | `updateResult​(Function<ResultContainer_,​Result_> finisher)` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeOrder, getState, isActive, isDirty, refreshed, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFacts, getFactsString`

- - ### Field Detail

    - #### childTupleList

          protected List<BavetAbstractBiTuple<GroupKey_,​Result_>> childTupleList

  - ### Constructor Detail

    - #### BavetGroupBiTuple

          public BavetGroupBiTuple​(BavetGroupBiNode<GroupKey_,​ResultContainer_,​Result_> node,
                                   GroupKey_ groupKey,
                                   ResultContainer_ resultContainer)

  - ### Method Detail

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in class `BavetAbstractTuple`

    - #### increaseParentCount

          public int increaseParentCount()

    - #### decreaseParentCount

          public int decreaseParentCount()

    - #### clearResult

          public void clearResult()

    - #### updateResult

          public void updateResult​(Function<ResultContainer_,​Result_> finisher)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetGroupBiNode<GroupKey_,​ResultContainer_,​Result_> getNode()

      Specified by:
        `getNode` in interface `BavetTuple`

    - #### getFactA

          public GroupKey_ getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractBiTuple<GroupKey_,​Result_>`

    - #### getFactB

          public Result_ getFactB()

      Specified by:
        `getFactB` in class `BavetAbstractBiTuple<GroupKey_,​Result_>`

    - #### getGroupKey

          public GroupKey_ getGroupKey()

    - #### getResultContainer

          public ResultContainer_ getResultContainer()

    - #### getChildTupleList

          public List<BavetAbstractBiTuple<GroupKey_,​Result_>> getChildTupleList()